/*
  +----------------------------------------------------------------------+
  | PHP Version 5                                                        |
  +----------------------------------------------------------------------+
  | Copyright (c) 1997-2004 The PHP Group                                |
  +----------------------------------------------------------------------+
  | This source file is subject to version 3.0 of the PHP license,       |
  | that is bundled with this package in the file LICENSE, and is        |
  | available through the world-wide-web at the following url:           |
  | http://www.php.net/license/3_0.txt.                                  |
  | If you did not receive a copy of the PHP license and are unable to   |
  | obtain it through the world-wide-web, please send a note to          |
  | license@php.net so we can mail you a copy immediately.               |
  +----------------------------------------------------------------------+
  | Author: Oliver Welter <areaz2@php.net>                               |
  +----------------------------------------------------------------------+
*/

/* $Id: header,v 1.15 2004/01/08 16:46:52 sniper Exp $ */

#ifndef PHP_COIN_ACCEPTOR_H
#define PHP_COIN_ACCEPTOR_H

extern zend_module_entry coin_acceptor_module_entry;
#define phpext_coin_acceptor_ptr &coin_acceptor_module_entry

#ifdef PHP_WIN32
#define PHP_COIN_ACCEPTOR_API __declspec(dllexport)
#else
#define PHP_COIN_ACCEPTOR_API
#endif

#ifdef ZTS
#include "TSRM.h"
#endif

PHP_MINIT_FUNCTION(coin_acceptor);
PHP_MSHUTDOWN_FUNCTION(coin_acceptor);
PHP_MINFO_FUNCTION(coin_acceptor);

PHP_FUNCTION(confirm_coin_acceptor_compiled);	/* For testing, remove later. */
PHP_FUNCTION(ca_open);
PHP_FUNCTION(ca_init);
PHP_FUNCTION(ca_read);
PHP_FUNCTION(ca_reset);
PHP_FUNCTION(ca_close);

ZEND_BEGIN_MODULE_GLOBALS(coin_acceptor)
        char *device;
	char *autoreset;
	long delay;
ZEND_END_MODULE_GLOBALS(coin_acceptor)

typedef struct {
    int fd;
} php_fd_t;

/* In every utility function you add that needs to use variables 
   in php_coin_acceptor_globals, call TSRMLS_FETCH(); after declaring other 
   variables used by that function, or better yet, pass in TSRMLS_CC
   after the last function argument and declare your utility function
   with TSRMLS_DC after the last declared argument.  Always refer to
   the globals in your function as COIN_ACCEPTOR_G(variable).  You are 
   encouraged to rename these macros something shorter, see
   examples in any other php module directory.
*/

#ifdef ZTS
#define COIN_ACCEPTOR_G(v) TSRMG(coin_acceptor_globals_id, zend_coin_acceptor_globals *, v)
#else
#define COIN_ACCEPTOR_G(v) (coin_acceptor_globals.v)
#endif

#endif	/* PHP_COIN_ACCEPTOR_H */


/*
 * Local variables:
 * tab-width: 4
 * c-basic-offset: 4
 * End:
 * vim600: noet sw=4 ts=4 fdm=marker
 * vim<600: noet sw=4 ts=4
 */
